LISTMENU "MainMenu"
{
	IfGame(Doom, Chex)
	{
		StaticPatch 94, 2, "M_DOOM"
		Position 97, 72
		IfOption(ReadThis)
		{
			Position 97, 64
		}
	}
	IfGame(Strife)
	{
		StaticPatch 84, 2, "M_STRIFE"
		Position 97, 45
	}
	IfGame(Heretic)
	{
		StaticPatch 88, 0, "M_HTIC"
		StaticPatch 40, 10, "M_SKL01"
		StaticPatch 232, 10, "M_SKL00"
		Position 110, 56
	}
	IfGame(Hexen)
	{
		StaticPatch 88, 0, "M_HTIC"
		StaticPatch 37, 80, "FBULB0"
		StaticPatch 278, 80, "FBULA0"
		Position 110, 56
	}
	
	IfGame(Doom, Strife, Chex)
	{
		Font "DBIGFONT", "MenuWhite"
		TextItem "SinglePlayer", "s", "PlayerclassMenu"
		TextItem "Multiplayer", "m", "ZA_MultiplayerOptions" // [Lego]
		TextItem "Player Setup", "p", "PlayerMenu"
		TextItem "Options", "o", "OptionsMenu"
		TextItem "Unreal Settings", "l", "UnrealSettings" 
		TextItem "Quit Game", "q", "QuitMenu"
	}
	
	IfGame(Heretic, Hexen)
	{
		TextItem "$MNU_NEWGAME", "n", "PlayerclassMenu"
		TextItem "$MNU_OPTIONS", "o", "OptionsMenu"
		TextItem "$MNU_GAMEFILES", "g", "GameFilesMenu"
		TextItem "$MNU_INFO", "i", "ReadThisMenu"
		TextItem "$MNU_QUITGAME", "q", "QuitMenu"
	}
}

OptionMenu "UnrealSettings"
{
    Title "Unreal Weapon Settings" 
	StaticText ""
	Option "The Weapon Selection" ,"Sv_UnrealWeps","TheWeaponSelection"
	StaticText "Variable that changes the spawners on map load"
	StaticText "In the console its SV_UnrealWeps 0 or 1 for selections"
	}


OptionValue "TheWeaponSelection"
{
0,"Weapons are Random"
1,"Weapons are Unreal only"
}


